icewm -- history of user-visible changes.  2021-01-02

Release icewm-2.0.1 released 2021-01-02
---------------------------------------

git shortlog -e -n -w80,6,8 2.0.0...2.0.1

Bert Gijsbers <gijsbers@science.uva.nl> (15):
      Handle horizontal scroll keys in window list window.
      Search for icewm icon for internal windows.
      Fix setting option values for #535.
      Allow to set background opacity for QuickSwitch background for #534.
      Clarify startMoveSize.
      Communicate the window ID of the icon window in WM_STATE when iconifying
        to desktop.
      Make isUrgent a member of ClientData.
      Reset horizontal scrolling when using the Home and End keys for the window
        list.
      Add IceVM explanation to README for ice-wm/icewm#35
      Update to 2.0.0.
      Note that support was added for icon_pixmap and icon_window fields of
        WM_HINTS property in 2.0.0.
      Improve getting icon window for WM_STATE.
      Fix spelling of Gerenciador for pt_BR.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'

Aleš Kastner <alkas@volny.cz> (1):
      Translated using Weblate (Czech)

David Medina <medipas@gmail.com> (1):
      Translated using Weblate (Catalan)

Ferdinand Galko <galko.ferdinand@gmail.com> (1):
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (1):
      Translated using Weblate (Dutch)

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Translated using Weblate (Portuguese)

Kukuh Syafaat <syafaatkukuh@gmail.com> (1):
      Translated using Weblate (Indonesian)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Yasuhiko Kamata <belphegor@belbel.or.jp> (1):
      Translated using Weblate (Japanese)


Release icewm-2.0.0 released 2020-12-14
---------------------------------------

git shortlog -e -n -w80,6,8 1.9.2...2.0.0

Bert Gijsbers <gijsbers@science.uva.nl> (58):
      Fix positioning of window list title for non-standard SmallIconSize
        settings for issue #514.
      Remove wmmgr.h from wmframe.h. Add classHint() to ClientData.
      Remove loseFocus().
      Prefer actionPerformed().
      Set task title.
      Add support for Imlib2 as a possible replacement for gdk-pixbuf for issue
        #513.
      Improve alpha blending for Imlib2 support for issue #513.
      Convert last IMLIB to IMLIB2.
      Prevent unsigned overflow.
      Add imlib2 to dependencies.
      Improve rendering quality for MiniIcons for issue #513.
      Free fAutoScroll when its YWindow is destroyed.
      Improve alpha thresholding for Imlib2 support for issue #513.
      Instead of render.h include Xrender.h for dependency checking for issue
        #516.
      Report errors if enabled packages are missing for issue #516.
      Only change a schema key if it exists for issue ice-wm/man#1.
      Don't resize when trying to move when dragging at y=0 for issue #520.
      Add errno_string.
      YLabel and YMsgBox use cstrings.
      Add layouts for dialogs.
      Add ylayout.h
      Better MiniIcons for Imlib2. Support SVG in Imlib2.  Add renderName.
      Show render engine in About. Use layout classes.
      Support SVG in Imlib2. Make Imlib2 the default render engine.
      Add libimlib2-dev dependency.
      If Imlib2 then disable GdkPixbuf.
      Fix for showing the icon_pixmap from WM_HINTS, which fixes the icon for
        NEdit and xmgrace.
      XGetGeometry returns True.
      Center MiniIcon.
      Remove superfluous.
      Fixes for showing the icon_pixmap from WM_HINTS for timidity and
        fontforge.
      Check for destroyed when reparenting.
      Add more WM_HINTS accessor functions. Check if WM_HINTS update actually
        changes anything.
      In unmanage first delete MiniIcon.
      Add support for WM_HINTS icon_window in MiniIcons.
      Prevent deprecated warnings for librsvg.
      Simplify call to nl_langinfo and improve readability.
      Remove unwanted space and separator in taskbar if toolbar is empty for
        issue #524.
      Fix typo for yorigin in composite.
      Drop const from parameters.
      Fix for drawing TitleAB and TitleIB pixmaps when they are gradients for
        issue #523.
      Don't blend MiniIcon when not in 32-bit mode.
      Don't unroll on button press for issue #525.
      Remove support for _WIN_PROTOCOL properties.
      Update man.
      Subtract border from icon_window position in MiniIcon.
      Update 4.1.9 Icons for icon_pixmap and icon_window.
      Tests for ypointer.h.
      Use _NET_WM_STATE_HIDDEN instead of IconicState for minimize.
      Ignore graphics exposures when in scrollWindow.
      Optimize scrollbars.
      Fix horizontal scrolling in icehelp.
      Optimize scrolling images in iceview.
      Reposition window list if it got offscreen.
      make update-po
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 2.0.0 release

Eduard Bloch <blade@debian.org> (5):
      Revert "Revert "Stop overpainting clock every second when not needed""
      [cmake] Print CONFIG_IMLIB2 variable status
      No attempt to draw Unicode in non-UTF-8 environment
      Check CONFIG_I18N prior to calling nl_langinfo
      If-case formating fix

Claudio Cesar de Sá <ccs1664@gmail.com> (1):
      support BR_Portuguese language in 2 files /lib (#522)


Release icewm-1.9.2 released 2020-11-10
---------------------------------------

git shortlog -e -n -w80,6,8 1.9.1...1.9.2

Bert Gijsbers <gijsbers@science.uva.nl> (12):
      Remove setDND.
      Move DND to subclass YDndWindow.
      Show toolbar button titles.
      Simplify use of XClassHint.
      Do XAllowEvents first.
      Prevent inadvertent growing of windows in issue #512.
      Improve logConfigureNotify details.
      Use just one set of XSizeHints for issue ice-wm/icewm#28.
      make update-po
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 1.9.2 release


Release icewm-1.9.1 released 2020-11-05
---------------------------------------

git shortlog -e -n -w80,6,8 1.9.0...1.9.1

Bert Gijsbers <gijsbers@science.uva.nl> (19):
      Update to 1.9.0.
      Define colors at top and lighten up the grey a bit.
      Catch changes in width_inc and height_inc for #510.
      Only direct focus if frame is mapped.
      Handle _WIN_LAYER messages via actionPerformed.
      Fix for changing layers when ABOVE or BELOW bit is set.
      Use a minimum delay of 10 ms for taskbar delays to avoid #508.
      Explain where delays are in milliseconds.
      Apply SKIP_PAGER for PagerShowPreview.
      Remove unused frame members.
      Add actionLayers. Switch on action in actionPerformed.
      Remove unused.
      Update XDND version from 3 to 5.
      make update-po
      Update XDND protocol implementation.
      Fix compilation on OpenBSD.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 1.9.1 release


Release icewm-1.9.0 released 2020-10-29
---------------------------------------

git shortlog -e -n -w80,6,8 1.8.3...1.9.0

Bert Gijsbers <gijsbers@science.uva.nl> (52):
      Update to 1.8.3
      Properly handle name lookup failure for mailboxes for issue #493.
      Don't reconfigure the taskbar if unnecessary.
      Allow 'Above' as a synonym for 'OnTop'.
      Add --valgrind and --catchsegv options to icewm-session for debugging.
      Add setType and getType to icesh for _NET_WM_WINDOW_TYPE.
      Only test subwindow if indicators are created.
      Always send one synthetic ConfigureNotify on initial window map for issue
        #492. Remove resize indicators when unneeded. Reduce redraws in title
        bar. Support incomplete _MOTIF_WM_HINTS property for mlterm.
      Add missing getProtocols to message dialog to fix issue #494.
      Help on debugging options.
      Restore Motif hints functionality.
      Workaround for the MWM ALL hack.
      Print property details for WM_STATE and _WIN_STATE.  Show Fullscreen in
        symbols.
      Avoid compiler warning for chdir.
      Make YProperty iterable.
      Simplify and reduce LOC. Optimize frame doManage to eliminate a call to
        updateMwmHints. In updateMwmHints try without configureClient. Add
        FULLSCREEN to _NET_WM_ACTIONs. Benefit from iterable YProperty.
      make update-po
      Benefit from iterable YProperty.
      Improved response to changes in Motif hint property which avoids resizing
        client when border toggles.
      Add pseudo state WinStateUnmapped
      Check only one menu entry for fullscreen or maximized. Fix minimize check.
      Several fixes for correct PagerShowPreview updates for #496. Fix desktop
        mini icon for fullscreen windows. Allow at most one of fullscreen or
        maximized. Allow at most one of rollup, minimized, hidden. Don't
        activate fullscreen window on startup when it is unmapped. Handle
        _NET_WM_STATE change requests via the frame wm functions.
      Add sticky, unsticky, borderless, bordered.
      More succinct.
      Typo
      Prefer to handle client message requests via actionPerformed for
        consistency. Make AllWorkspaces consistent with Sticky.
      Use isAllWorkspaces instead of isSticky, because the latter was unused by
        icewm.
      Set check flag for AllWorkspaces.
      Add missing spaces.
      Assume the _NET_RESTACK_WINDOW support from 1.8.3.
      Fix requests switching between different maximizations. Move
        _NET_RESTACK_WINDOW request to its dedicated function.
      Eliminate some preprocessor checks.
      Fixes for TaskBarAutoHide for #499. Don't hide when taskbar is collapsed.
      Handle requests for layer changes via actionPerformed to improve
        consistency.
      Optimize loading of configuration.
      Simplify introductions.
      Fix compilation warnings. Fix iteration errors.
      Update logevents.
      In progpath insist on a regular file.
      Prefer actionPerformed on window key bindings.
      Workaround for non-standard behavior of xnec2c in issue #503. Simplify
        mapClient.
      Prefer actionPerformed on window key bindings.
      Record and size resizes when fullscreen to saved size hints. Permit size
        hints width_inc and height_inc to be zero to disable maximization.
      Revert "Stop overpainting clock every second when not needed" Because it
        causes valgrind errors like: "Conditional jump or move depends on
        uninitialised value(s)". It also changes lines for which there is no
        justification to change them. This reverts commit
        54f8e02959e73f5a7fce7ab6a84a45943bd46a90.
      Use accessors. Fix for Xmgrace in #506. Simplify manageClient.
      Improve meaning of taskbar edge trigger timer.
      Prevent a frame without a client.
      Use default parameter of unmanage.
      make update-po
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 1.9.0 release

Eduard Bloch <blade@debian.org> (15):
      Add recent icons to AM
      Fix invalid application type
      Also drop the menu category from session description
      Inline an external data fetching function
      Drop extra functionality for ISDN status display
      Compacting the network colleting classes even further
      Work around compiler warnings on PowerPC
      Improve Graphics::drawStringEllipsis
      Revival of Unicode Ellipsis integration
      Stop overpainting clock every second when not needed
      Set override flags consistently in YXftFont
      Merge remote-tracking branch 'bbidulock/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      More use of unicode ellipsis
      Apply icon theme blacklisting also to private dirs
      Simplify basename extraction

Aleš Kastner <alkas@volny.cz> (1):
      Translated using Weblate (Czech)

David Medina <medipas@gmail.com> (1):
      Translated using Weblate (Catalan)

Ferdinand Galko <galko.ferdinand@gmail.com> (1):
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (1):
      Translated using Weblate (Dutch)

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Translated using Weblate (Portuguese)

Kukuh Syafaat <syafaatkukuh@gmail.com> (1):
      Translated using Weblate (Indonesian)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Panwar <caspian7pena@gmail.com> (1):
      Translated using Weblate (Hindi)

Yasuhiko Kamata <belphegor@belbel.or.jp> (1):
      Translated using Weblate (Japanese)


Release icewm-1.8.3 released 2020-09-17
---------------------------------------

git shortlog -e -n -w80,6,8 1.8.2...1.8.3

Bert Gijsbers <gijsbers@science.uva.nl> (32):
      TaskBar cannot fullscreen.
      Use wmHide or wmShow to hide or show the taskbar for #489.
      Restore the translation which was overwritten by Weblate.
      Support "toggleState Fullscreen". Show state detail for spy ClientMessage.
         Support "iconic" and "normal" commands for WM_CHANGE_STATE.
      Show more detail in logConfigureRequest and logClientMessage.
      More succinct _NET_WM_STATE implementation.
      Send just one ConfigureNotify message per resize. In setState first
        compute size and relayout before updating _NET_WM_STATE and _WIN_LAYER
        for issue #491 and postpone low-priority updates for different timing
        for GTK-menubar terminals.
      Only load icon if needed.
      Fix -list. Add +T. Print CARDINALs as unsigned. Show Above window handle
        for ConfigureNotify.
      Merge WM_WINDOW_ROLE and WINDOW_ROLE.
      Postpone taskbar app status updates until idle.
      Make switch icons opaque for 32-bit visuals.
      Check if icon is null.
      Simplify setState with deltaState.
      Add WinStateFullscreen to the visible _WIN_STATE bits.
      make update-po
      Simplify removing a frame app from the taskbar.
      Check if a map request is for a mapped window.
      Send synthetic ConfigureNotify events for resizing only when required by
        the ICCCM specification. Send synthetic ConfigureNotify events for
        positioning whenever this is required by the ICCCM specification. Fix
        for EWMH restack raise requests. Reflect layer changes in the ABOVE and
        BELOW flags in the EWMH _NET_WM_STATE property. Only update the frame
        position when it really has changed.
      Prefer tlog over printf when logging.
      Fix tooltip positioning.
      Reduce number of workarea updates for taskbar. Only let taskbar have
        struts if at top or bottom of screen. Keep global positioning of
        internal clients local to clients. Fix for autohide taskbar not wanting
        to hide. Support TaskBarAutoHide for TaskBarKeepBelow.
      Make it compile on G++ 7.5.0.
      Use pragmas to prevent compiler complaints if LOGEVENTS.
      Prevent compiler warning on chdir.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 1.8.3 release
      Check if filedescriptor is valid and fix off-by-one allocation error.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 1.8.3 release bis

Hugo Carvalho <hugokarvalho@hotmail.com> (4):
      Added translation using Weblate (Portuguese)
      Translated using Weblate (Portuguese)
      Translated using Weblate (Portuguese)
      Translated using Weblate (Portuguese)

Arif Budiman <arifpedia@gmail.com> (1):
      Translated using Weblate (Indonesian)

David Medina <medipas@gmail.com> (1):
      Translated using Weblate (Catalan)

Ferdinand Galko <galko.ferdinand@gmail.com> (1):
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (1):
      Translated using Weblate (Dutch)

Paolo Za <zapaolo@email.it> (1):
      Translated using Weblate (Italian)

Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Sarah Kriesch <ada.lovelace@gmx.de> (1):
      Translated using Weblate (German)

Stanislav Brabec <sbrabec@suse.cz> (1):
      Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH


Release icewm-1.8.2 released 2020-09-08
---------------------------------------

git shortlog -e -n -w80,6,8 1.8.1...1.8.2

Bert Gijsbers <gijsbers@science.uva.nl> (32):
      Update Marko's copy dates for #285.
      CMake support for LOGEVENTS.
      Add find for YRefArray.
      Fix the inappropriate use of globals in the context of a dynamically
        loaded configuration for #483.
      Add fsmart resize.
      Add -C option for copyright.
      Add -C option for copyright.
      Add -C option for copyright.
      More comparison operators.
      Several fixes for reading from pipes with timeouts for issue #487.
      Remove unused set_nb.
      Reduce LOC in read_pipe.
      Keep value of fTransientFor for later.
      Add userhome, dollar_expansion and tilde_expansion functions. Let
        path_lookup also perform dollar_expansion and tilde_expansion. In
        menuprog and menuprogreload do dollar_expansion and tilde_expansion.
        Move event logging from misc.cc to its own file logevent.cc.
      Solaris needs memset from string.h for FD_SET.
      Improve use of userhome in tilde_expansion.
      Revert "Extra control flow checking", because the strict exit code
        checking makes it too brittle. The CI build now also fails.
      Benefit from userhome when locating home directory.
      Improve VERSION_RAW.
      Permit non-gnu date.
      Update version to 1.8.1.
      Reduce AC_CHECK_FUNCS and AC_CHECK_HEADERS to essentials.
      Reduce CHECK_FUNCTION and CHECK_INCLUDE to essentials.
      Ignore a zero file size for /proc filesystem for issue #488.
      Enable inclusion of sys/sysctl.h for sysctlbyname for FreeBSD.
      Add x11_ldflags to cmake genpref build.
      Make cmake work for BSD+Solaris.
      Also for strtest.
      Emulate gmake for Arch.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 1.8.2 release

Eduard Bloch <blade@debian.org> (10):
      Install dev packages on Ubuntu
      Cope with shallow clones
      Basic autoconf CI setup
      More CI build configs with more and less features
      Added strtest exection in ctest
      Rename LOGEVENTS option to follow existing pattern
      Update apt index before installing dependencies
      ~ expansion is modified by fakeroot, don't consider it
      Extra control flow checking
      Fixed and extended fakeroot detection and exceptions

Code7R <Code7R@users.noreply.github.com> (2):
      Create cmake.yml
      Merge pull request #485 from bbidulock/icewm-1-4-BRANCH_CI

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Update Portuguese (pt) translations (#486)

